talkd(8)

NOME
talkd - server di comunicazione con utenti remoti

SINTASSI
talkd [opzioni]

DESCRIZIONE
talkd è il server che notifica a un utente che qualcun altro vuole iniziare una conversazione. Esso agisce come un repository di inviti, rispondendo a richieste di client che vogliono un incontro per avere una conversazione. In operazioni normali un client, il chiamante, inzia un incontro inviando un CTL_MSG al server di tipo LOOK_UP (vedere <protocols/talkd.h>). Questo induce il server a cercare le sue tabelle inviti per verificare se attualmente esiste un invito per il chiamante (per parlare ai chiamati specificati nel messaggio). Se la ricerca fallisce, il chiamante invia un messaggio ANNOUNCE inducendo il server a trasmettere un annuncio alle porte di login dei chiamati a cui si chiede il contatto. Quando il chiamato risponde il server locale usa l'invito ragistrato per rispondere con gli indirizzi di incontro appropriati e i programmi client del chiamante e del chiamato stabiliscono una connessione attraverso cui prende piede la conversazione.

OPZIONI

-l, --logging
    Abilita messaggi più prolissi sul syslog.

-d, --debug
    Abilita la modalità di debug.

-t, --timeout secondi
    Imposta il valore del tempo limite a secondi.

-i, --idle-timeout secondi
    Imposta il valore del tempo limite di inattività a secondi.

-r, --request-ttl secondi
    Imposta il valore del tempo di vita (time-to-live) delle richieste a secondi.

-a, --acl nomefile
    Legge le ACL globali da nomefile.

-S, --strict-policy
    Applica le regole ACL in modo rigoroso.

?, --help
    Mostra una lista di aiuto.

--usage
    Mostra sinteticamente l'uso.

-V, --version
    Mostra la versione de programma.

VEDERE ANCHE
talk(1), write(1)

STORIA
Il comando talkd è aparso nella 4.3BSD.

TRADUZIONE
La traduzione italiana di questa pagina di manuale è stata creata da Giulio Daprelà <giulio@pluto.it>, Marco Curreli <marcocurreli@tiscali.it> e Giuseppe Sacco <eppesuig@debian.org>

Questa traduzione è documentazione libera; leggere la GNU General Public License Versione 3: https://www.gnu.org/licenses/gpl-3.0.html o successiva per le condizioni di copyright. Non ci assumiamo alcuna responsabilità.

Per segnalare errori nella traduzione di questa pagina di manuale inviare un messaggio a pluto-ildp@lists.pluto.it.